<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Carbon\Carbon;

class Credit extends Model
{
	use SoftDeletes;
	
	protected $table = 'credits';

	protected $dates = ['deleted_at'];
    
	protected $fillable = [
        'credit',
		'name',
		'type',
		'shift',
		'schedule_id'
		
		
    ];

	public function schedule()
	{
		return $this->belongsTo('App\Schedule');
	}

		public function festive()
	{
		return $this->belongsTo('App\Festive');
	}

	
}
